Metadata Impl
Implementation API

The metadata is used to store key/type/value pairs per object id. More...

## Files

file | impl-metadata.h
| `pipewire/impl-metadata.h`

## Data Structures

struct | pw_impl_metadata_events
| Metadata events, listen to them with pw_impl_metadata_add_listener. More...
struct | pw_impl_metadata

## Macros

#define | PW_VERSION_IMPL_METADATA_EVENTS 0

## Functions

struct pw_impl_metadata * | pw_context_create_metadata (struct pw_context *context, const char *name, struct pw_properties *properties, size_t user_data_size)
const struct pw_properties * | pw_impl_metadata_get_properties (struct pw_impl_metadata *metadata)
| Get the metadata properties. More...
int | pw_impl_metadata_register (struct pw_impl_metadata *metadata, struct pw_properties *properties)
void | pw_impl_metadata_destroy (struct pw_impl_metadata *metadata)
void * | pw_impl_metadata_get_user_data (struct pw_impl_metadata *metadata)
int | pw_impl_metadata_set_implementation (struct pw_impl_metadata *metadata, struct pw_metadata *impl)
struct pw_metadata * | pw_impl_metadata_get_implementation (struct pw_impl_metadata *metadata)
struct pw_global * | pw_impl_metadata_get_global (struct pw_impl_metadata *metadata)
| Get the global of this metadata. More...
void | pw_impl_metadata_add_listener (struct pw_impl_metadata *metadata, struct spa_hook *listener, const struct pw_impl_metadata_events *events, void *data)
| Add an event listener. More...
int | pw_impl_metadata_set_property (struct pw_impl_metadata *metadata, uint32_t subject, const char *key, const char *type, const char *value)
| Set a property. More...
int | pw_impl_metadata_set_propertyf (struct pw_impl_metadata *metadata, uint32_t subject, const char *key, const char *type, const char *fmt,...) 1(5

## Detailed Description

The metadata is used to store key/type/value pairs per object id.

## Macro Definition Documentation

## PW_VERSION_IMPL_METADATA_EVENTS

#define PW_VERSION_IMPL_METADATA_EVENTS 0

## Function Documentation

## pw_context_create_metadata()

struct pw_impl_metadata* pw_context_create_metadata | ( | struct pw_context * | context,
|  | const char * | name,
|  | struct pw_properties * | properties,
|  | size_t | user_data_size
| ) |  |

## pw_impl_metadata_get_properties()

const struct pw_properties* pw_impl_metadata_get_properties | ( | struct pw_impl_metadata * | metadata | ) |

Get the metadata properties.

## pw_impl_metadata_register()

int pw_impl_metadata_register | ( | struct pw_impl_metadata * | metadata,
|  | struct pw_properties * | properties
| ) |  |

## pw_impl_metadata_destroy()

void pw_impl_metadata_destroy | ( | struct pw_impl_metadata * | metadata | ) |

## pw_impl_metadata_get_user_data()

void* pw_impl_metadata_get_user_data | ( | struct pw_impl_metadata * | metadata | ) |

## pw_impl_metadata_set_implementation()

int pw_impl_metadata_set_implementation | ( | struct pw_impl_metadata * | metadata,
|  | struct pw_metadata * | impl
| ) |  |

## pw_impl_metadata_get_implementation()

struct pw_metadata* pw_impl_metadata_get_implementation | ( | struct pw_impl_metadata * | metadata | ) |

## pw_impl_metadata_get_global()

struct pw_global* pw_impl_metadata_get_global | ( | struct pw_impl_metadata * | metadata | ) |

Get the global of this metadata.

## pw_impl_metadata_add_listener()

void pw_impl_metadata_add_listener | ( | struct pw_impl_metadata * | metadata,
|  | struct spa_hook * | listener,
|  | const struct pw_impl_metadata_events * | events,
|  | void * | data
| ) |  |

Add an event listener.

## pw_impl_metadata_set_property()

int pw_impl_metadata_set_property | ( | struct pw_impl_metadata * | metadata,
|  | uint32_t | subject,
|  | const char * | key,
|  | const char * | type,
|  | const char * | value
| ) |  |

Set a property.

## pw_impl_metadata_set_propertyf()

int pw_impl_metadata_set_propertyf | ( | struct pw_impl_metadata * | metadata,
|  | uint32_t | subject,
|  | const char * | key,
|  | const char * | type,
|  | const char * | fmt,
|  |  | ...
| ) |  |